Show / Hide Table of Contents

# Class FileTokenStorage

##### Inheritance

System.Object
FileTokenStorage

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Credentials.Linux

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class FileTokenStorage

### Constructors

| Improve this Doc View Source

#### FileTokenStorage(String)

##### Declaration

    public FileTokenStorage(string fileName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | fileName |

### Methods

| Improve this Doc View Source

#### AddEntries(IEnumerable<Credential>, IEnumerable<Credential>)

##### Declaration

    public void AddEntries(IEnumerable<Credential> newEntries, IEnumerable<Credential> existingEntries)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Collections.Generic.IEnumerable<Credential> | newEntries |
System.Collections.Generic.IEnumerable<Credential> | existingEntries |

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### LoadEntries()

##### Declaration

    public IEnumerable<Credential> LoadEntries()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerable<Credential> |

| Improve this Doc View Source

#### SaveEntries(IEnumerable<Credential>)

##### Declaration

    public void SaveEntries(IEnumerable<Credential> entries)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Collections.Generic.IEnumerable<Credential> | entries |